<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Table of Contents</TITLE>

</HEAD>
<BODY>
<H1>The SUIF Library</H1>
<H2>A set of core routines for manipulating SUIF data structures</H2>
<ADDRESS>Stanford Compiler Group</ADDRESS>
<P>
<P><HR><P>

</P>
<P>
This is a reference manual for the SUIF library.  It describes the
data structures that make up the SUIF intermediate representation and
conventions for their usage.  This is intended for those who are writing
new SUIF passes.  While it provides essential information for new SUIF
programmers, it is definitely not a tutorial.

</P>

<UL>
<LI><A HREF="suif1_1.html#SEC1">Overview</A>: An overview of the SUIF system.
<LI><A HREF="suif1_7.html#SEC7">File Representation</A>: Support for separate compilation.
<LI><A HREF="suif1_10.html#SEC10">Trees</A>: Abstract syntax trees (ASTs).
<LI><A HREF="suif1_22.html#SEC22">Instructions</A>: Instructions and expression trees.
<LI><A HREF="suif1_51.html#SEC51">Symbols</A>: Symbolic information.
<LI><A HREF="suif1_59.html#SEC59">Types</A>: The SUIF type system.
<LI><A HREF="suif1_40.html#SEC40">Symbol Tables</A>: Tables for holding symbols and types.
<LI><A HREF="suif1_69.html#SEC69">Annotations</A>: Attaching arbitrary data to SUIF objects.
<LI><A HREF="suif1_85.html#SEC85">Cloning</A>: Methods for replicating ASTs and instructions.
<LI><A HREF="suif1_89.html#SEC89">Fortran</A>: Features for compiling Fortran.
<LI><A HREF="suif1_91.html#SEC91">Generics</A>: Generic data structures.
<LI><A HREF="suif1_99.html#SEC99">Other</A>: Other features of the SUIF library.
<LI><A HREF="suif1_108.html#SEC108">Appendix</A>: Diagrams/info about SUIF data structures.
<LI><A HREF="suif1_112.html#SEC112">Function Index</A>: Index of functions, variables, and types.
<LI><A HREF="suif1_113.html#SEC113">Concept Index</A>: Index of concepts.
</UL>

<P><HR><P>
This document was generated on 28 April 1999 using the
<A HREF="http://wwwcn.cern.ch/dci/texi2html/">texi2html</A>
translator version 1.51a.</P>
</BODY>
</HTML>
